Page MenuHomePhabricator

Track when block notices are displayed on VisualEditor client side
Closed, ResolvedPublic3 Story Points

Description

Track when a notification related to a block pops up in VisualEditor.

Metrics should be added to the following bucket 'MediaWiki.BlockNotices.' . wgWikiID . '.VisualEditor.shown' and should be enabled/disabled using a config Flag[1].

wgWikiID may or may not be available if https://gerrit.wikimedia.org/r/c/mediawiki/core/+/472375 gets merged
Similar tracking is pending review on MobileFrontend. Implementing this is pretty much the same as in here

[1] https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/472342/2/extension.json#102

Event Timeline

dmaza triaged this task as Low priority.Nov 15 2018, 8:03 PM
dmaza created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2018, 8:03 PM
dmaza renamed this task from Track block notices on VisualEditor to Track when block notices are displayed on VisualEditor client side.Nov 15 2018, 8:04 PM
dmaza updated the task description. (Show Details)
dmaza removed dmaza as the assignee of this task.Nov 16 2018, 4:28 AM
dmaza updated the task description. (Show Details)Nov 16 2018, 4:41 AM
Tchanders moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 33) board.

Change 474312 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] WIP Track when block notices are displayed

https://gerrit.wikimedia.org/r/474312

Change 474312 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Track when block notices are shown on visual editor

https://gerrit.wikimedia.org/r/474312

dbarratt closed this task as Resolved.Nov 26 2018, 3:29 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 33) board.